Kerbal Space Program - Bug #3859

[Bug v0.90.0.0]: KSP space centre graphics glitches on Ubuntu 14.10
12/16/2014 06:15 PM - alun

Status: Closed Start date:

Severity: Critical % Done: 100%
Assignee:

Category: Camera

Target version:

Version: 0.90 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

Hi,

I've just upgraded to 0.90, and run into some graphics problems with the KSC view
on a saved career mode game.

Essentially, almost everything is invisible: the ground, mountains, ocean, buildings.
| think Kerbin's atmosphere is visible as a blue shell, and there are some traces of
the KSC buildings still visible (mostly the complex's roads) (see 1st screenshot).

If | rotate the camera around the KSC, when | hit a certain angle everything goes
back to normal, but only in a small range of angles.

If | drop the camera down nearer the ground, and zoom in, parts of the buildings
and ground in the foreground re-appear - it seems as if anything beyond a certain
distance is being clipped. (see second screenshot)

Thanks,
Alun.

Related issues:

Related to Kerbal Space Program - Bug #4766: graphics are broken Closed 04/27/2015
Related to Kerbal Space Program - Bug #4166: Graphical Linux Glitch Duplicate 03/03/2015
Has duplicate Kerbal Space Program - Bug #4167: Graphical Linux Glitch Duplicate 03/03/2015

History

#1-12/17/2014 09:20 AM - Baleine

| didn't encountered that problem with my installation (Archlinux 64bits)

| think it'd be better to provide more details with your problem (linux version, 64 ou 32 bits, graphic card and graphic driver, maybe a log if it shows
anything strange)

Also, did you encounter that problem with a fresh career ?

(I'm no KSP deyv, just giving advice there)

#2 - 12/17/2014 06:28 PM - alun

- File Ishw.txt added

- File 2014-12-18_00001.jpg added

- File KSP.log added

Dev or not, you've got a good point Baleine. | do need to provide more information if | want to help the devs get to the bottom of it.
Ok, here goes:
I'm running 64bit Ubuntu 14.10 on an i3-3220 CPU, with on-board graphics (no separate gfx card), 8GB RAM. Output from Ishw attached.

I'm not running with any mods, and version 0.25 ran fine on this setup.
I've just tried starting a new game (career mode/default difficulty), and it still shows the problem. | had the debug console open. Screenshot attached.
KSP.log also attached.
Can anyone else think of anything else | can usefully supply ? or try ?

Thanks,
Alun.

#3 - 12/18/2014 04:23 AM - lomendil
- File Player.log added
- File KSP.log added

| am also seeing this behavior, just like screenshot 1. | am running the 64 bit linux client as well. Some folks on reddit were also reporting this issue
with Linux 64 bit. I'll attach Player.log and KSP.log for my instance. My video card is an integrated Intel HD chip, using the i965 mesa driver. This card
is often the cause of weird problems in my experience.

| see some shader compile errors in Player.log, but I'm not at all familiar with unity, so | don't know if that is meaningful or not. If anyone would like
any other info about my system, I'll happily provide it.

#4 - 12/22/2014 12:43 PM - Anonymous

| have the same bug on the same system. Mine is modded, though it also happens when it is unmodded as well. | think that this should be confirmed,
also, it happens in sandbox as well, so it is probably Unity. The ERR reports are about parts, but the WRN at the beginning appears to be platform
specific, and the WRN at the end appears to be edge highlighting/highlighting in general. I'm not a Unity user, but | do have some programming
experience.

#5 - 12/22/2014 12:43 PM - Anonymous
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#6 - 12/22/2014 03:54 PM - cannedcreamcorn
- File KSP.log added

Confirmed this bug as well. Disabling "Edge Highlighting (PPFX)" in Settings/Graphics returns functional Ul. It looks like other users reporting this
have integrated Intel graphics too. Attaching ksp.log

KSP 0.90 unmodded

Kubuntu 14.04 x64

HP Probook 430 G1

Core i5-4200U with Graphics 4400
8GB RAM

128GB SSD

EDIT: tested with both included PPA drivers and Intel graphics package 1.7. Kernel 3.13.0-43

#7 - 12/24/2014 09:18 PM - Anonymous

cannedcreamcorn's workaround works. Thanks.

#8 - 01/06/2015 06:43 AM - Squelch
- Status changed from Confirmed to Resolved

- % Done changed from 10 to 100

Marking as resolved.

The PPFX switch was added specifically for this reason, and disabling edge highlighting should return expected behaviour. A more refined fix is being
looked into.

#9 - 01/25/2015 07:30 AM - meyerweb
- File Screen Shot 2015-01-24 at 23.46.45.png added

| see a related problem in OS X 10.8 with PPFX enabled, whether modded or unmodded. Everything is fine until | hover the mouse over any part in
the Staging Ul, whether that's in the VAB or in flight. As soon as | do that, | get all kinds of graphic glitchery. Often it's the KSC model, as in the first
screenshot above. Other times it's a lot more scrambled, as in the attached screenshot. Disabling the PPFX option makes the whole problem go
away, whether there are mods installed or not.
All this was in career mode. | haven't tested sandbox mode.

Basic system information:

- MacBook Pro

- Intel Core i7 2.8 GHz, 4 cores

- Primary memory: 16 GB

- Built-in Intel HD Graphics 4000, 512MB VRAM

- PCle NVIDIA GeForce GT 650M, 1024 MB VRAM

#10 - 04/27/2015 10:17 PM - saabstory88
- Related to Bug #4766: graphics are broken added

#11 - 07/19/2015 09:58 AM - Squelch
- Has duplicate Bug #4167: Graphical Linux Glitch added

#12 - 07/20/2015 06:17 PM - Squelch
- Related to Bug #4166: Graphical Linux Glitch added

#13 - 05/01/2016 10:30 PM - bewing

- Status changed from Resolved to Closed
